# Copyright 2020 University of Liège
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#     http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# FindEIGEN.cmake - try to find Eigen headers
# ----------------------------------------------------------------------------   
# output:
#    EIGEN_FOUND             : TRUE/FALSE
#    EIGEN_INCLUDE_DIRS      : where the Eigen/*.h are              [cached]
# ----------------------------------------------------------------------------
# autodetection:
#    utiliser "CMAKE_PREFIX_PATH=c:\local"
#          ou "CMAKE_INCLUDE_PATH=c:\local\include"
#          ou "INCLUDE=c:\local\include"
# ----------------------------------------------------------------------------   

find_path(EIGEN_INCLUDE_DIRS "Eigen/Dense" PATHS "/usr/include/eigen3")

# handle the QUIETLY and REQUIRED arguments and set EIGEN_FOUND to TRUE
# if all listed variables are TRUE
include(FindPackageHandleStandardArgs)
find_package_handle_standard_args(EIGEN DEFAULT_MSG 
				                  EIGEN_INCLUDE_DIRS)

#MESSAGE(STATUS "EIGEN_FOUND = ${EIGEN_FOUND}")
