/*
 * Copyright 2020 University of Liège
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef WHMSTIME_H
#define WHMSTIME_H

#include "fwk.h"
#include <iostream>

namespace fwk
{

/**
 * @brief Convert seconds to a HMS string
 */

class FWK_API HMSTime
{
    int years;
    int months;
    int days;
    int hours;
    int mins;
    double secs;

public:
    explicit HMSTime(double sec = 0.0);
    friend FWK_API std::ostream &operator<<(std::ostream &out, HMSTime const &obj);
    std::string str() const;
};
} // namespace fwk

#endif //WHMSTIME_H
