#!/usr/bin/env python
# -*- coding: latin-1; -*-

from __future__ import print_function
from __future__ import division
from builtins import range
from past.utils import old_div
from katropton.speedup import *
import os
import matplotlib2tikz


def main():
    import matplotlib.pyplot as plt

    file_dir = os.path.dirname(__file__)

    current_dir = os.getcwd()

    npzfile = np.load(
        current_dir +
        '/../katropton_CMAME_tests_post_process_plate_MC_MG_total_2/total_s1.npz'
    )
    time_s1 = npzfile['time']
    npzfile = np.load(
        current_dir +
        '/../katropton_CMAME_tests_post_process_plate_MC_MG_total_2/total_s32.npz'
    )
    time_s32 = npzfile['time']

    ensemble_size = 32

    cum_sp = np.zeros((200, ))
    each_sp = np.zeros((200, ))

    time_s1_s32 = np.zeros((200, ))
    time_s32_s32 = np.zeros((200, ))

    cum_time_s1 = 0.
    cum_time_s32 = 0.

    for i in range(0, 200):
        current_s1 = np.sum(time_s1[i * ensemble_size:(i + 1) * ensemble_size])
        current_s32 = time_s32[i * ensemble_size]

        time_s1_s32[i] = current_s1
        time_s32_s32[i] = current_s32

        cum_time_s1 = cum_time_s1 + current_s1
        cum_time_s32 = cum_time_s32 + current_s32

        each_sp[i] = old_div(current_s1, current_s32)
        cum_sp[i] = old_div(cum_time_s1, cum_time_s32)

    plt.figure()
    plt.plot(time_s1)

    plt.figure()
    plt.plot(time_s32)

    print(np.sum(time_s1_s32))
    print(np.sum(time_s32_s32))

    plt.figure()
    plt.plot(time_s1_s32)
    plt.plot(time_s32_s32)
    plt.figure()
    plt.plot(each_sp)
    plt.figure()
    plt.plot(cum_sp)
    matplotlib2tikz.save("speedup.tex")
    plt.show()


if __name__ == "__main__":
    main()
