function [ A ] = load_crs_matrix( file_name, ensemble_size, sample )


crsA = [];

fid = fopen(file_name);

tline = fgets(fid);
while length(tline) >=2
    words = strsplit(tline);
    if ensemble_size > 1 && length(words) >= 4+ensemble_size
        if length(crsA) == 0      
            crsA = zeros(1,3);
            crsA(1) = str2num(char(words(1)))+1;
            crsA(2) = str2num(char(words(2)))+1;
            crsA(3) = str2num(char(words(3+sample)));
        else
            
            crsA = [crsA; str2num(char(words(1)))+1, str2num(char(words(2)))+1, str2num(char(words(3+sample)))];
        end
        
    elseif ensemble_size == 1 && length(words) >= 3
         if length(crsA) == 0      
            crsA = zeros(1,3);
            crsA(1) = str2num(char(words(1)))+1;
            crsA(2) = str2num(char(words(2)))+1;
            crsA(3) = str2num(char(words(3)));
        else
            
            crsA = [crsA; str2num(char(words(1)))+1, str2num(char(words(2)))+1, str2num(char(words(3)))];
        end       
        
    end
    tline = fgets(fid);
end

fclose(fid);

A = crsA;

end

