SetFactory("OpenCASCADE");

LX = 10;
lx = 2;
LY = 10;
ly = 2;
LZ = 2;
lix = 1;
liy = 1;

nlix = 11;
nliy = 11;

nloiy = 4;
nloix = 4;
nloey = 4;
nloex = 4;

nLX = 8;
nLY = 8;

nZ1 = 8;
nZ2 = 5;

lc = 1;

Point(1)  = { lx,    ly, 0.,     lc};
Point(2)  = { lx+lix,    ly, 0.,     lc};
Point(3)  = { lx+lix,    ly-liy, 0.,     lc};
Point(4)  = { lx,    ly-liy, 0.,     lc};
Point(5)  = { lx-lix,    ly-liy, 0.,     lc};
Point(6)  = { lx-lix,    ly, 0.,     lc};
Point(7)  = { lx-lix,    ly+liy, 0.,     lc};
Point(8)  = { lx,    ly+liy, 0.,     lc};
//+
Line(1) = {1, 2};
//+
Line(2) = {2, 3};
//+
Line(3) = {3, 4};
//+
Line(4) = {4, 5};
//+
Line(5) = {5, 6};
//+
Line(6) = {6, 7};
//+
Line(7) = {7, 8};
//+
Line(8) = {8, 1};
//+
Line(9) = {1, 6};
//+
Line(10) = {1, 4};
//+
Line Loop(1) = {1, 2, 3, -10};
//+
Plane Surface(1) = {1};
//+
Line Loop(2) = {10, 4, 5, -9};
//+
Plane Surface(2) = {2};
//+
Line Loop(3) = {9, 6, 7, 8};
//+
Plane Surface(3) = {3};
//+
Transfinite Line {7, 9, 4, 3, 1} = nlix Using Progression 1;
//+
Transfinite Line {6, 5, 8, 10, 2} = nliy Using Progression 1;
//+
Transfinite Surface {2};
Recombine Surface {2};
//+
Transfinite Surface {3};
Recombine Surface {3};
//+
Transfinite Surface {1};
Recombine Surface {1};


Extrude {0, 0, LZ}
{
  Surface{1,2,3}; Layers{nZ1}; Recombine;
}


Physical Volume("body") = {1,2,3};
//+
Physical Surface("inner edge boundary 1") = {14};
Physical Surface("inner edge boundary 2") = {13,10};
Physical Surface("inner edge boundary 3") = {9,6};
Physical Surface("inner edge boundary 4") = {5};
//+
Physical Line("slave Dirichlet") = {24, 19, 14};
