SetFactory("OpenCASCADE");

LX = 10;
lx = 2;
LY = 10;
ly = 2;
LZ = 2;

nR1 = 5;

R = 0.999;
R2 = 1.;
R_in_1 = 0.4;
R_in_2 = 0.5;

nR = 14;
nT1 = 9;

nZ1 = 5;

nZ2 = 4;
nl = 7;
nLX=5;
nLY=10;
nR2=5;

PI = Acos (-1.);

dtheta = 0.001*PI;

lc = 1;

Point(1)  = { lx,    ly, 0.,     lc};
Point(2)  = { lx+R*Cos(0*PI+dtheta),  ly+R*Sin(0*PI+dtheta), 0.,     lc};
Point(3)  = { lx+R*Cos(-1*PI/4+dtheta),  ly+R*Sin(-1*PI/4+dtheta), 0.,     lc};
Point(4)  = { lx+R*Cos(-2*PI/4+dtheta),  ly+R*Sin(-2*PI/4+dtheta), 0.,     lc};
Point(5)  = { lx+R*Cos(-3*PI/4+dtheta),  ly+R*Sin(-3*PI/4+dtheta), 0.,     lc};
Point(6)  = { lx+R*Cos(-4*PI/4+dtheta),  ly+R*Sin(-4*PI/4+dtheta), 0.,     lc};
Point(7)  = { lx+R*Cos(-5*PI/4+dtheta),  ly+R*Sin(-5*PI/4+dtheta), 0.,     lc};
Point(8)  = { lx+R*Cos(-6*PI/4+dtheta),  ly+R*Sin(-6*PI/4+dtheta), 0.,     lc};

Point(9)   = { lx+R_in_1*Cos(0*PI+dtheta),  ly+R_in_1*Sin(0*PI+dtheta), 0.,     lc};
Point(10)  = { lx+R_in_2*Cos(-1*PI/4+dtheta),  ly+R_in_2*Sin(-1*PI/4+dtheta), 0.,     lc};
Point(11)  = { lx+R_in_1*Cos(-2*PI/4+dtheta),  ly+R_in_1*Sin(-2*PI/4+dtheta), 0.,     lc};
Point(12)  = { lx+R_in_2*Cos(-3*PI/4+dtheta),  ly+R_in_2*Sin(-3*PI/4+dtheta), 0.,     lc};
Point(13)  = { lx+R_in_1*Cos(-4*PI/4+dtheta),  ly+R_in_1*Sin(-4*PI/4+dtheta), 0.,     lc};
Point(14)  = { lx+R_in_2*Cos(-5*PI/4+dtheta),  ly+R_in_2*Sin(-5*PI/4+dtheta), 0.,     lc};
Point(15)  = { lx+R_in_1*Cos(-6*PI/4+dtheta),  ly+R_in_1*Sin(-6*PI/4+dtheta), 0.,     lc};

Circle(101) = {2, 1, 3};
Circle(102) = {3, 1, 4};
Circle(103) = {4, 1, 5};
Circle(104) = {5, 1, 6};
Circle(105) = {6, 1, 7};
Circle(106) = {7, 1, 8};

Line(201) = {9, 10};
Line(202) = {10,11};
Line(203) = {11,12};
Line(204) = {12,13};
Line(205) = {13,14};
Line(206) = {14,15};


Line(151) = {2, 9};
Line(152) = {3,10};
Line(153) = {4,11};
Line(154) = {5,12};
Line(155) = {6,13};
Line(156) = {7,14};
Line(157) = {8,15};

Line(251) = {9, 1};
Line(252) = {11,1};
Line(253) = {13,1};
Line(254) = {15,1};

Transfinite Line {204, 203, 253, 205, 206, 254, 252, 251, 202, 201, 101, 102, 103, 104, 105, 106} = nT1 Using Progression 1;
Transfinite Line {157, 156, 155, 154, 153, 152, 151} = nR Using Progression 1;

Line Loop(1) = {151, 201, -152, -101};
Plane Surface(1) = {1};
Transfinite Surface {1};
Recombine Surface {1};

Line Loop(2) = {152, 202, -153, -102};
Plane Surface(2) = {2};
Transfinite Surface {2};
Recombine Surface {2};

Line Loop(3) = {153, 203, -154, -103};
Plane Surface(3) = {3};
Transfinite Surface {3};
Recombine Surface {3};

Line Loop(4) = {154, 204, -155, -104};
Plane Surface(4) = {4};
Transfinite Surface {4};
Recombine Surface {4};

Line Loop(5) = {155, 205, -156, -105};
Plane Surface(5) = {5};
Transfinite Surface {5};
Recombine Surface {5};

Line Loop(6) = {156, 206, -157, -106};
Plane Surface(6) = {6};
Transfinite Surface {6};
Recombine Surface {6};

Line Loop(7) = {251, -252, -202, -201};
Plane Surface(7) = {7};
Transfinite Surface {7};
Recombine Surface {7};

Line Loop(8) = {252, -253, -204, -203};
Plane Surface(8) = {8};
Transfinite Surface {8};
Recombine Surface {8};

Line Loop(9) = {254, -253, 205, 206};
Plane Surface(9) = {9};
Transfinite Surface {9};
Recombine Surface {9};

Extrude {0, 0, LZ}
{
  Surface{1,2,3,4,5,6,7,8,9}; Layers{nZ1}; Recombine;
}

Physical Volume("body") = {1,2,3,4,5,6,7,8,9};
//+
Physical Surface("inner edge boundary") = {33, 29, 25, 21, 17, 13};
//Physical Surface("inner edge boundary") = {33};
