#!/usr/bin/env python
# -*- coding: utf-8 -*-

from __future__ import print_function
from __future__ import division
from builtins import range
from past.utils import old_div
import numpy as np
import time
import os
import shutil
import math
from fwk.wutils import parseargs

def main():

    m1 = 10
    m2 = 11

    d = list(range(1,m1+1))
    n = list(range(0,m2))

    X, Y = np.meshgrid(d, n)
    cond = np.zeros((m1,m2))

    for i in range(0,m1):
        for j in range(0,m2):
            cond[i,j] = old_div((2**d[i]),((old_div(2.,(2*n[j]+1)))**d[i]))

    args = parseargs()
    if not args.nogui:
        import matplotlib.pyplot as plt
        fig = plt.figure()
        ax = fig.gca(projection='3d')   # [RB] does not exist in recent versions of matplotlib
        ax.view_init(elev=20., azim=-140.)

        ax.scatter(X, Y, cond)

        ax.set_xlabel('d [-]')
        ax.set_ylabel('n [-]')
        #ax.set_zscale('log')
        print(cond)
        plt.show()

if __name__ == "__main__":
    main()
