/*
 * Copyright 2020 University of Liège
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef WANSYSSOLUTION_H
#define WANSYSSOLUTION_H

#include "mirrors.h"
#include "wObject.h"
#include <vector>
#include <string>

namespace mirrors
{

/**
 * @brief manage ANSYS Solution
 */

class MIRRORS_API ANSYSSolution : public fwk::wObject
{
public:
#ifndef SWIG
    std::string solution_type;
    std::string solution_file;
#endif
    std::string solution_name;

    double diff_abs;
    double diff_rel;

    ANSYSSolution(mirrors::Problem &pbl,
                  std::string const &solution_type,
                  std::string const &solution_name,
                  std::string const &solution_file);

#ifndef SWIG
    virtual void write(std::ostream &out) const override;
#endif
};

} // namespace mirrors

#endif //WANSYSSOLUTION_H
