#!/usr/bin/env python
# -*- coding: latin-1; -*-

# Copyright 2020 University of Liège
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#     http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.


from __future__ import division
from past.utils import old_div
import numpy as np

def rejection_method(a,b,m,pdf):

    if pdf == 'uniform':
        from params.CVT.python.uniform import rho
        from params.CVT.python.uniform import rho_max
    elif pdf == 'normal':
        from params.CVT.python.normal import rho
        from params.CVT.python.normal import rho_max

    X = np.zeros((m,))

    rho_max = rho_max(a,b)

    i = 0

    while i < m:
        Xp = np.random.uniform(0.,1.)
        X[i] = a+(b-a)*Xp
        U = np.random.uniform(0.,1.)    
        
        if U < old_div(rho(X[i],a,b),rho_max):
            i = i + 1
            
    return X

def rejection_method2D(a,b,c,d,m,pdf):

    if pdf == 'uniform':
        from params.CVT.python.uniform import rho
        from params.CVT.python.uniform import rho_max
    elif pdf == 'normal':
        from params.CVT.python.normal import rho
        from params.CVT.python.normal import rho_max

    X = np.zeros((m,2))

    tmp = rho_max(a,b)
    rho_max = tmp*rho_max(c,d)
    i = 0

    while i < m:
        Xp = np.random.uniform(0.,1.)
        X[i,0] = a+(b-a)*Xp
        Yp = np.random.uniform(0.,1.)
        X[i,1] = c+(d-c)*Yp
        U = np.random.uniform(0.,1.)    
        
        if U < rho(X[i,0],a,b)*rho(X[i,1],c,d)/rho_max:
            i = i + 1
            
    return X

