#!/usr/bin/env python
# -*- coding: utf-8 -*-

# Copyright 2020 University of Liège
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#     http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.


from __future__ import print_function
from builtins import range
import matplotlib as mpl
from mpl_toolkits.mplot3d import Axes3D
from matplotlib import cm
import numpy as np
import matplotlib.pyplot as plt
from matplotlib.ticker import LinearLocator, FormatStrFormatter
from numpy.polynomial import Polynomial, Legendre
def main():
    m = 100
    n = 10

    x_min = -1
    x_max = 1

    for i in range(0,n):
        p = Legendre.basis(i).convert(kind=Polynomial)
        print(p.coef)

    x = np.linspace(x_min,x_max,m)
    
    fig = plt.figure()
    ax = fig.gca()
    ax.set_xlabel('x')
    ax.set_ylabel('P_i(x)')
    plt.title("The first ten Legendre polynomials")

    for i in range(0,n):
        y = Legendre.basis(i, [x_min,x_max])(x)
        plt.plot(x,y,linewidth=2.0)
        plt.grid(True)

    plt.savefig('Leg.png', bbox_inches = 'tight')


    #y = Legendre([2.1,1,1], [x_min,x_max])(x)
    plt.plot(x,y)
    plt.show()

if __name__ == "__main__":
    main()
