/*
 * Copyright 2020 University of Liège
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef WGAUSS_H
#define WGAUSS_H

#include "tbox.h"
#include "wPt.h"
#include <vector>

namespace tbox
{

/**
 * @brief Base class for Gauss points
 * @authors Adrien Crovato, Romain Boman, Kim Liegeois
 */
class TBOX_API Gauss
{
public:
    explicit Gauss();
    virtual ~Gauss() {}

    std::vector<Pt> p;     ///< positions
    std::vector<double> w; ///< weights
};

} // namespace tbox

#endif //WGAUSS_H
