/*
 * Copyright 2020 University of Liège
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef WMEMLINE2_H
#define WMEMLINE2_H

#include "tbox.h"
#include "wMem.h"
#include "wLine2.h"

#ifndef SWIG

namespace tbox
{

/**
 * @brief Precalculated values for Line2
 * @authors Romain Boman, Adrien Crovato
 */
class TBOX_API MemLine2 : public Mem
{
    // Element type
    Line2 &e;

public:
    explicit MemLine2(Line2 &_e, int _ngp);
    virtual ~MemLine2() {}

    virtual void update(bool sameDim) override;
};

} // namespace tbox

#endif

#endif //WMEMLINE2_H
