/*
 * Copyright 2020 University of Liège
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef WMEMQUAD4_H
#define WMEMQUAD4_H

#include "tbox.h"
#include "wMem.h"
#include "wQuad4.h"

#ifndef SWIG

namespace tbox
{

/**
 * @brief Precalculated values for Quad4
 * @authors Romain Boman, Adrien Crovato
 */
class TBOX_API MemQuad4 : public Mem
{
    // Element type
    Quad4 &e;

public:
    explicit MemQuad4(Quad4 &_e, int _ngp);
    virtual ~MemQuad4() {}

    virtual void update(bool sameDim) override;
};

} // namespace tbox

#endif

#endif //WMEMQUAD4_H
