/*
 * Copyright 2020 University of Liège
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include "wNode.h"

using namespace tbox;

void Node::write(std::ostream &out) const
{
    out << "node #" << no << " = " << pos << " row=" << row;
}

Node::Node(int n, Pt const &p) : wObject(), no(n), pos(p), row(-1)
{
}

Node::Node()
{
    no = 0;
    pos = Pt(0., 0., 0.);
    row = -1;
}
