/*
 * Copyright 2020 University of Liège
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef WSFTRI3_H
#define WSFTRI3_H

#include "tbox.h"
#include "wPt.h"
#include <vector>

namespace tbox
{

/**
 * @brief Tri3 shape functions
 * @authors Romain Boman
 */
class TBOX_API SfTri3
{
public:
    SfTri3() {}
    void eval(Pt const &ksi, std::vector<double> &ff) const;
    void evalD(int i, Pt const &ksi, std::vector<double> &ff) const;
    static const int nbno = 3;
};

} // namespace tbox

#endif //WSFTRI3_H
