/*
 * Copyright 2020 University of Liège
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

// global header of the "tboxVtk" module

#ifndef TBOXVTK_H
#define TBOXVTK_H

#if defined(WIN32)
#ifdef tboxVtk_EXPORTS
#define TBOXVTK_API __declspec(dllexport)
#else
#define TBOXVTK_API __declspec(dllimport)
#endif
#else
#define TBOXVTK_API
#endif

#include "tbox.h"

/**
 * @brief Namespace for tboxVtk module
 */
namespace tboxVtk
{
// Msh utilities
class vtkExport;

// Kim's old classes (to be cleaned)
class vtkExport_KIM2CLEAN;
} // namespace tboxVtk

#endif //TBOXVTK_H
